3 Replies Latest reply: Oct 13, 2012 2:12 AM by mende1
NilsBasel Level 1 Level 1 (0 points)

When I try to open Mail on my Mac Pro it says that I could not work with it because I use Mail version 6.2 and this version can not work on OS X 10.8.2. The help advised me to reinstall Mail... is there another way to make it work? Thanks


Mail, OS X Mountain Lion (10.8.2)